<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}" xmlns="http://www.w3.org/1999/html">
<head>

    <meta charset="UTF-8">
    <title>Dashboard</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="content">
    <!--Dashboard Pendaftar-->
    <div class="" sec:authorize = "hasAuthority('VIEW_BEASISWA')">
        <div class="x_panel">
            <div class="x_title">
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#">Settings 1</a>
                            </li>
                            <li><a href="#">Settings 2</a>
                            </li>
                        </ul>
                    </li>
                    <li><a class="close-link"><i class="fa fa-close"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="x_panel tile fixed_height_160">
                            <form th:action="@{/beasiswa/detailPendaftar}" th:object="${detailPendaftar}" method="post" enctype="multipart/form-data">
                                <div class="row">
                                    <div class="col-md-12 col-sm-12 col-xs-12" >
                                        <div class="x_panel tile fixed_height_160">
                                            <h2 class="StepTitle">Data Pribadi</h2>
                                            <div class="form-horizontal form-label-left">
                                                <div class="col-md-12"><br>
                                                    <div class="body">
                                                        <input type="hidden" name="id" th:field="*{id}">
                                                        <div class="row">
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label >NIK *</label>
                                                                        <input type="text" name="nik" class="form-control" th:field="*{nik}" required>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label>NISN</label>
                                                                        <input type="text" name="nisn" id="nisn" th:field="*{nisn}" class="form-control"/> <!-- -->

                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label>NPSN</label>
                                                                        <input type="text" name="npsn" id="npsn" th:field="*{npsn}" class="form-control"/> <!-- -->

                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">


                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label>Nama Lengkap</label>
                                                                        <input type="text" name="namaLengkap" class="form-control"
                                                                               placeholder="Nama" th:value="*{namaLengkap}" required/> <!-- th:field="*{nama}"-->

                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label>Email</label>
                                                                        <input type="email" name="email" class="form-control"
                                                                               placeholder="Email" th:value="*{email}" required/> <!-- th:field="*{nama}"-->

                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label>Nomor Telepon</label>
                                                                        <input type="text" name="noTelpon" class="form-control"
                                                                               placeholder="noTelpon" th:value="*{noTelpon}" required/> <!-- th:field="*{nama}"-->

                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label >Status Orang Tua</label>
                                                                        <select name="statusOrtu" id="orangtua" class="form-control" th:field="*{statusOrtu}">
                                                                            <option value="" selected disabled>Pilah salah satu</option>
                                                                            <option value="LENGKAP">LENGKAP</option>
                                                                            <option value="YATIM">YATIM</option>
                                                                            <option value="PIATU">PIATU</option>
                                                                            <option value="YATIM_PIATU">YATIM DAN PIATU</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label>Kota Asal Sekolah</label>
                                                                        <select name="kotaAsalSekolah"
                                                                                class="js-example-placeholder-single js-states form-control" th:field="*{kotaAsalSekolah}" required ><!--th:field="*{programStudi}"-->
                                                                            <option value=""> ~ Pilih Salah Satu ~ </option>
                                                                            <option th:each="ins : ${daftarKokab}"
                                                                                    th:selected="(${ins} == *{kotaAsalSekolah})"
                                                                                    th:value="${ins.id}"
                                                                                    th:text="${ins.nama}"
                                                                            >Ekonomi Syariah</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <label>Nama sekolah</label>
                                                                <input type="text" name="namaSekolah" class="form-control" th:field="*{namaSekolah}">
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label >Tahun lulus</label>
                                                                        <input type="text" name="tahunLulus" class="form-control" th:field="*{tahunLulus}">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label>LULUSAN</label>
                                                                        <select name="lulusan" id="lulusan" class="form-control" required th:field="*{lulusan}">
                                                                            <option value="" selected disabled>Pilih salah satu</option>
                                                                            <option value="sma">SMA</option>
                                                                            <option value="d3">D3</option>
                                                                            <option value="s1">S1</option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-sm-6">
                                                                <div class="form-group">
                                                                    <div class="form-line">
                                                                        <label>Alamat</label>
                                                                        <textarea name="alamat" class="form-control" id="alamat" cols="30"
                                                                                  rows="5"></textarea>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-6">
                                                                <div class="row">
                                                                    <div class="col-sm-6 col-xs-12">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label>Provinsi</label>
                                                                                <select name="provinsi"
                                                                                        class="form-control js-example-placeholder-single" id="provinsi" required>
                                                                                    <option value="">-Pilih Provinsi-</option>
                                                                                    <option th:each="ins : ${daftarProvinsi}"
                                                                                            th:value="${ins.id}"
                                                                                            th:text="${ins.nama}"
                                                                                            th:field="*{provinsi}">Ekonomi Syariah</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-12">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label>Kabupaten / Kota</label>
                                                                                <select name="kotaAsalSekolah"
                                                                                        class="js-example-placeholder-single js-states form-control" th:field="*{kabupatenKota}" required>
                                                                                    <option value=""> ~ Pilih kabupaten / kota ~ </option>
                                                                                    <option th:each="ins : ${daftarKokab}"
                                                                                            th:selected="(${ins} == *{kabupatenKota})"
                                                                                            th:value="${ins.id}"
                                                                                            th:text="${ins.nama}"
                                                                                    >Ekonomi Syariah</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-12">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label>Tempat Lahir</label>
                                                                                <input type="text" name="tempatLahir" id="tempatLahir" th:field="*{tempatLahir}" class="form-control"
                                                                                       placeholder="Tempat Lahir">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-12">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="tglLahir">Tanggal Lahir</label>
                                                                                <input type="date" id="tglLahir" name="tanggalLahir" class="form-control" th:field="*{tanggalLahir}">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-12 col-sm-12 col-xs-12" >
                                        <div class="x_panel tile fixed_height_160">
                                            <h2 class="StepTitle">Data Orangtua</h2>
                                            <hr>
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="row col-sm-offset-1 ">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Nama Ayah</label>
                                                                    <input type="text" name="namaAyah"
                                                                           class="form-control" th:field="*{namaAyah}"
                                                                           placeholder="Nama Ayah">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Agama Ayah</label>
                                                                    <select name="agamaAyah" th:field="*{agamaAyah}" class="form-control" required >
                                                                        <option value="">-Pilih Agama-</option>
                                                                        <option value="Islam">Islam</option>
                                                                        <option value="Hindu">Hindu</option>
                                                                        <option value="Budha">Budha</option>
                                                                        <option value="Kristen">Kristen</option>
                                                                        <option value="Katholik">Katholik</option>
                                                                        <option value="KongHuCu">Kong Hu Cu</option>
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pendidikan Ayah</label>
                                                                    <select name="pendidikanAyah" th:field="*{pendidikanAyah}"
                                                                            class="form-control js-example-placeholder-single" required >
                                                                        <option value="">-Pilih Pindidikan Ayah-</option>
                                                                        <option th:each="ins : ${pendidikanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">SMA</option>
                                                                        <!--<option value="">SMA</option>-->
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pekerjaan Ayah</label>
                                                                    <select name="pekerjaanAyah" th:field="*{pekerjaanAyah}"
                                                                            class="form-control js-example-placeholder-single" required >
                                                                        <option value="">-Pilih Pekerjaan Ayah-</option>
                                                                        <option th:each="ins : ${pekerjaanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">PNS</option>
                                                                        <!--<option value="">PNS</option>-->
                                                                    </select>
                                                                </div>
                                                            </div>


                                                            <div class="col-md-12">
                                                                <div class="form-group">
                                                                    <label class="control-label">Status Ayah</label><br>
                                                                    <input type="radio" class="flat" th:field="*{statusAyah}"
                                                                           name="statusAyah"value="hidup">Hidup
                                                                    &nbsp;&nbsp;&nbsp;
                                                                    <input type="radio" class="flat" th:field="*{statusAyah}"
                                                                           name="statusAyah"value="meninggal">Meninggal
                                                                </div>
                                                            </div>
                                                            <hr>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Nama Ibu</label>
                                                                    <input type="text" name="namaIbu"
                                                                           class="form-control" th:field="*{namaIbu}"
                                                                           placeholder="Nama Ibu">
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Agama Ibu</label>
                                                                    <select name="agamaIbu" th:field="*{agamaIbu}" class="form-control" required >
                                                                        <option value="">-Pilih Agama-</option>
                                                                        <option value="Islam">Islam</option>
                                                                        <option value="Hindu">Hindu</option>
                                                                        <option value="Budha">Budha</option>
                                                                        <option value="Kristen">Kristen</option>
                                                                        <option value="Katholik">Katholik</option>
                                                                        <option value="KongHuCu">Kong Hu Cu</option>
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pendidikan Ibu</label>
                                                                    <select name="pendidikanIbu" th:field="*{pendidikanIbu}"
                                                                            class="form-control js-example-placeholder-single" required >
                                                                        <option value="">-Pilih Pindidikan Ibu-</option>
                                                                        <option th:each="ins : ${pendidikanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">SMA</option>
                                                                        <!--<option value="">SMA</option>-->
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pekerjaan Ibu</label>
                                                                    <select name="pekerjaanIbu" th:field="*{pekerjaanIbu}"
                                                                            class="form-control js-example-placeholder-single" required >
                                                                        <option value="">-Pilih Pekerjaan Ibu-</option>
                                                                        <option th:each="ins : ${pekerjaanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">PNS</option>
                                                                        <!--<option value="">PNS</option>-->
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-12">
                                                                <div class="form-group">
                                                                    <label class="control-label">Status Ibu</label><br>
                                                                    <input type="radio" class="flat" th:field="*{statusIbu}"
                                                                           name="statusIbu" value="hidup">Hidup
                                                                    &nbsp;&nbsp;&nbsp;
                                                                    <input type="radio" class="flat" th:field="*{statusIbu}"
                                                                           name="statusIbu" value="meninggal">Meninggal
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <hr>
                                                        <div class="row col-sm-offset-1 ">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Alamat</label>
                                                                    <input type="text" name="alamatOrangTua"
                                                                           class="form-control" th:field="*{alamatOrangTua}"
                                                                           placeholder="Alamat Orang Tua">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>No Handphone</label>
                                                                    <input type="number" name="noTelponOrangTua"
                                                                           class="form-control" th:field="*{noTelponOrangTua}"
                                                                           placeholder="No Handphone Orang Tua">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Pengahasilan</label>
                                                                    <select name="penghasilanOrangtua" th:field="*{penghasilanOrangtua}"
                                                                            class="form-control js-example-placeholder-single" required >
                                                                        <option value="">-Pilih Penghasilan-</option>
                                                                        <!--<option value="">3.000.000,00</option>-->
                                                                        <option th:each="ins : ${penghasilanOrtu}"
                                                                                th:value="${ins.id}"
                                                                                th:text="${ins.nama}">1.000.000</option>
                                                                    </select>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>Jumlah Sodara Kandung</label>
                                                                    <input type="number" name="jumlahTanggungan" th:field="*{jumlahTanggungan}"
                                                                           class="form-control" required placeholder="Jumlah Sodara Kandung">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <h6 class="border-bottom border-gray pb-2 mb-0"></h6>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-12 col-sm-12 col-xs-12" >
                                        <div class="x_panel tile fixed_height_160">
                                            <h2 class="StepTitle">Data Keperluan Beasiswa</h2>
                                            <hr>
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="row col-sm-offset-1 ">
                                                            <div class="col-md-6 col-sm-12">
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <div class="form-group">
                                                                            <label>Apakah Kamu memiliki disabilitas?</label>
                                                                            <br>
                                                                            Tidak ada <input type="checkbox" name="statusDisabilitas" value="AKTIF" id="disability-switch" class="js-switch form-control" th:field="*{statusDisabilitas}" /> Ada
                                                                            <!--                                                                    <input type="text" name="namaAyah"-->
                                                                            <!--                                                                           class="form-control" th:field="*{namaAyah}"-->
                                                                            <!--                                                                           placeholder="Nama Ayah">-->
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <div class="form-group">
                                                                            <label>Deskripsikan Disabilitas Kamu</label>
                                                                            <textarea name="deskripsiDisabilitas" id="deskripsiDisabilitas" class="form-control" cols="30"
                                                                                      rows="10" disabled th:field="*{deskripsiDisabilitas}"></textarea>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-md-6 col-sm-12">
                                                                <div class="row">
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="sktm">SKTM (Surat keterangan tidak mampu)</label>
                                                                                <a th:if="*{sktm != null}" th:href="@{/beasiswa/{beasiswaFile}/{jenis}/file(beasiswaFile=*{fileId}, jenis=${'SKTM'})}" class="badge badge-success" target="_blank">Tinjau file</a>
                                                                                <input type="file" id="sktm" name="fileSktm" class="form-control">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="tagihanListrik">Tagihan Listrik</label>
                                                                                <a th:if="*{tagihanListrik != null}" th:href="@{/beasiswa/{beasiswaFile}/{jenis}/file(beasiswaFile=*{fileId}, jenis=${'TagihanListrik'})}" class="badge badge-success" target="_blank">Tinjau file</a>
                                                                                <input type="file" id="tagihanListrik" name="fileTagihanListrik" class="form-control">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="fotoRumah">Foto Rumah</label>
                                                                                <a th:if="*{fotoRumah != null}" th:href="@{/beasiswa/{beasiswaFile}/{jenis}/file(beasiswaFile=*{fileId}, jenis=${'FotoRumah'})}" class="badge badge-success" target="_blank">Tinjau file</a>
                                                                                <input type="file" id="fotoRumah" name="fileFotoRumah" class="form-control">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="resume">Resume / CV</label>
                                                                                <a th:if="*{resume != null}" th:href="@{/beasiswa/{beasiswaFile}/{jenis}/file(beasiswaFile=*{fileId}, jenis=${'Resume'})}" class="badge badge-success" target="_blank">Tinjau file</a>
                                                                                <input type="file" id="resume" name="fileResume" class="form-control">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="prestasi1">Prestasi Internasional</label>
                                                                                <a th:if="*{prestasi1 != null}" th:href="@{/beasiswa/{beasiswaFile}/{jenis}/file(beasiswaFile=*{fileId}, jenis=${'Prestasi1'})}" class="badge badge-success" target="_blank">Tinjau file</a>
                                                                                <input type="file" id="prestasi1" name="filePrestasi1" class="form-control" >
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="prestasi2">Prestasi Nasional</label>
                                                                                <a th:if="*{prestasi2 != null}" th:href="@{/beasiswa/{beasiswaFile}/{jenis}/file(beasiswaFile=*{fileId}, jenis=${'Prestasi2'})}" class="badge badge-success" target="_blank">Tinjau file</a>
                                                                                <input type="file" id="prestasi2" name="filePrestasi2" class="form-control">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="prestasi3">Prestasi Provinsi</label>
                                                                                <a th:if="*{prestasi3 != null}" th:href="@{/beasiswa/{beasiswaFile}/{jenis}/file(beasiswaFile=*{fileId}, jenis=${'Prestasi3'})}" class="badge badge-success" target="_blank">Tinjau file</a>
                                                                                <input type="file" id="prestasi3" name="filePrestasi3" class="form-control">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <label for="prestasi4">Prestasi Daerah</label>
                                                                                <a th:if="*{prestasi4 != null}" th:href="@{/beasiswa/{beasiswaFile}/{jenis}/file(beasiswaFile=*{fileId}, jenis=${'Prestasi4'})}" class="badge badge-success" target="_blank">Tinjau file</a>
                                                                                <input type="file" id="prestasi4" name="filePrestasi4" class="form-control">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <h6 class="border-bottom border-gray pb-2 mb-0"></h6>
                                                        <br>
                                                        <center>
                                                            <input class="btn btn-primary" type="submit" value="Simpan">
                                                        </center>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

</body>
</html>

<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "- Pilih Salah Satu -",
        allowClear: true
    });

    $(document).ready(function (){
        if ($('#disability-switch').is(':checked')){
            $('#deskripsiDisabilitas').prop('disabled', false);
        }else{
            $('#deskripsiDisabilitas').prop('disabled', true);
        }
        $('#disability-switch').change(function (){
            if ($(this).is(':checked')){
                $('#deskripsiDisabilitas').prop('disabled', false);
            }else{
                $('#deskripsiDisabilitas').prop('disabled', true);
            }
        });
    });
</script>
<script>
    $(document).ready(function (){
        $('form').on('submit', function (){
            const allowedTypes = ['application/pdf', 'image/jpeg', 'image/jpg', 'image/png'];
            const maxSize = 1 * 1025 * 1024;

            $('input[type="file"]').each(function (){
                if (this.file.length > 0){
                    const file = this.files[0];
                    if (!allowedTypes.includes(file.type)){
                        e.preventDefault();
                        alert(`File ${this.name} harus berformat PDF, JPEG, atau PNG`);
                        return false;
                    }
                    if (file.size > maxSize){
                        e.preventDefault();
                        alert(`File ${this.name} tidak boleh lebih dari 1 MB`);
                        return false;
                    }
                }
            });
        });
    });
</script>
